Subject: bug#43844: 27.1; Mouse-3 avoid "Buffer is read-only" *patch*

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Jan 2021 07:14:07 +0100

Corwin Brust <[email-masked]> writes:

> Would you recommend packages such as ERC (or dired?) that essentially
> create only read-only buffers to set this such that unconfigured
> defaults don't lead to a user-error?

I'm not sure what you mean here?  Buffers that make text read-only do so
because the person who wrote that mode thinks that's a good design
decision.  As usual, Emacs allows users to override anything if they
want to, and `kill-read-only-ok' is the provided user override.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no